<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Hacknet](./bitburner.hacknet.md) &gt; [getCacheUpgradeCost](./bitburner.hacknet.getcacheupgradecost.md)

## Hacknet.getCacheUpgradeCost() method

Calculate the cost of upgrading hacknet node cache.

**Signature:**

```typescript
getCacheUpgradeCost(index: number, n?: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  index | number | Index/Identifier of Hacknet Node. |
|  n | number | _(Optional)_ Number of times to upgrade cache. Must be positive. Will be rounded to the nearest integer. Defaults to 1 if not specified. |

**Returns:**

number

Cost of upgrading the specified Hacknet Node's cache.

## Remarks

RAM cost: 0 GB

This function is only applicable for Hacknet Servers (the upgraded version of a Hacknet Node).

Returns the cost of upgrading the cache level of the specified Hacknet Server by n.

If an invalid value for n is provided, then this function returns 0. If the specified Hacknet Node is already at max level, then Infinity is returned.

